package com.jz.dmp.modules.controller;

import com.jz.dmp.modules.model.DmpNavigationTree;
import com.jz.dmp.modules.service.DmpNavigationTreeService;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import javax.annotation.Resource;

/**
 * DMP资源导航树(DmpNavigationTree)表控制层
 *
 * @author Bellamy
 * @since 2020-12-29 15:08:17
 */
@RestController
@RequestMapping("/dmpNavigationTree")
@Api(tags = "DMP资源导航树")
public class DmpNavigationTreeController {
    /**
     * 服务对象
     */
    @Autowired
    private DmpNavigationTreeService dmpNavigationTreeService;

    /**
     * 通过主键查询单条数据
     *
     * @param id 主键
     * @return 单条数据
     */
    @GetMapping("/selectOne")
    @ApiOperation(value = "通过主键查询单条数据", notes = "通过主键查询单条数据")
    public DmpNavigationTree selectOne(Integer id) {
        return this.dmpNavigationTreeService.queryById(id);
    }

}